---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.5"
  version: 8090020231017131105
  context: 9edba152
  arch: aarch64
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-irb
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: af6bef2fa7a0715c1b87b921216bcd87c21bf3ae
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: e606491a632c3f229f9c24524e1a1515994c22b8
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: 51bea704135ac8d40395b949261f9d1d6f8b8295
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-bundler:
        rationale: Library and utilities to manage a Ruby application's gem dependencies
        ref: 217bb546eda98012a05e41ae35bb0f4cc9940feb
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: ba2317b2743b2d48ecae21aad26c8dfe2620d3c4
        buildorder: 103
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: 9638a7419b8248b7ebf63a1127b4692e9b8b4b94
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: d32600c6a97090382f788904208897c8a23f263d
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - ruby-0:2.5.9-111.module_el8.9.0+3635+c6f99506.aarch64
    - ruby-0:2.5.9-111.module_el8.9.0+3635+c6f99506.src
    - ruby-debuginfo-0:2.5.9-111.module_el8.9.0+3635+c6f99506.aarch64
    - ruby-debugsource-0:2.5.9-111.module_el8.9.0+3635+c6f99506.aarch64
    - ruby-devel-0:2.5.9-111.module_el8.9.0+3635+c6f99506.aarch64
    - ruby-doc-0:2.5.9-111.module_el8.9.0+3635+c6f99506.noarch
    - ruby-irb-0:2.5.9-111.module_el8.9.0+3635+c6f99506.noarch
    - ruby-libs-0:2.5.9-111.module_el8.9.0+3635+c6f99506.aarch64
    - ruby-libs-debuginfo-0:2.5.9-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-abrt-0:0.3.0-4.module_el8.5.0+2625+ec418553.noarch
    - rubygem-abrt-0:0.3.0-4.module_el8.5.0+2625+ec418553.src
    - rubygem-abrt-doc-0:0.3.0-4.module_el8.5.0+2625+ec418553.noarch
    - rubygem-bigdecimal-0:1.3.4-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-bigdecimal-debuginfo-0:1.3.4-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-bson-0:4.3.0-2.module_el8.5.0+2625+ec418553.aarch64
    - rubygem-bson-0:4.3.0-2.module_el8.5.0+2625+ec418553.src
    - rubygem-bson-debuginfo-0:4.3.0-2.module_el8.5.0+2625+ec418553.aarch64
    - rubygem-bson-debugsource-0:4.3.0-2.module_el8.5.0+2625+ec418553.aarch64
    - rubygem-bson-doc-0:4.3.0-2.module_el8.5.0+2625+ec418553.noarch
    - rubygem-bundler-0:1.16.1-4.module_el8.5.0+2625+ec418553.noarch
    - rubygem-bundler-0:1.16.1-4.module_el8.5.0+2625+ec418553.src
    - rubygem-bundler-doc-0:1.16.1-4.module_el8.5.0+2625+ec418553.noarch
    - rubygem-did_you_mean-0:1.2.0-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-io-console-0:0.4.6-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-io-console-debuginfo-0:0.4.6-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-json-0:2.1.0-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-json-debuginfo-0:2.1.0-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-minitest-0:5.10.3-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-mongo-0:2.5.1-2.module_el8.5.0+2625+ec418553.noarch
    - rubygem-mongo-0:2.5.1-2.module_el8.5.0+2625+ec418553.src
    - rubygem-mongo-doc-0:2.5.1-2.module_el8.5.0+2625+ec418553.noarch
    - rubygem-mysql2-0:0.4.10-4.module_el8.5.0+2625+ec418553.aarch64
    - rubygem-mysql2-0:0.4.10-4.module_el8.5.0+2625+ec418553.src
    - rubygem-mysql2-debuginfo-0:0.4.10-4.module_el8.5.0+2625+ec418553.aarch64
    - rubygem-mysql2-debugsource-0:0.4.10-4.module_el8.5.0+2625+ec418553.aarch64
    - rubygem-mysql2-doc-0:0.4.10-4.module_el8.5.0+2625+ec418553.noarch
    - rubygem-net-telnet-0:0.1.1-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-openssl-0:2.1.2-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-openssl-debuginfo-0:2.1.2-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-pg-0:1.0.0-3.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-pg-0:1.0.0-3.module_el8.9.0+3635+c6f99506.src
    - rubygem-pg-debuginfo-0:1.0.0-3.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-pg-debugsource-0:1.0.0-3.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-pg-doc-0:1.0.0-3.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-power_assert-0:1.1.1-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-psych-0:3.0.2-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-psych-debuginfo-0:3.0.2-111.module_el8.9.0+3635+c6f99506.aarch64
    - rubygem-rake-0:12.3.3-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-rdoc-0:6.0.1.1-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-test-unit-0:3.2.7-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-xmlrpc-0:0.3.0-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygems-0:2.7.6.3-111.module_el8.9.0+3635+c6f99506.noarch
    - rubygems-devel-0:2.7.6.3-111.module_el8.9.0+3635+c6f99506.noarch
...
---
document: modulemd
version: 2
data:
  name: ruby-devel
  stream: "2.5"
  version: 8090020231017131105
  context: 9edba152
  arch: aarch64
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
      ruby: [2.5]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-irb
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: af6bef2fa7a0715c1b87b921216bcd87c21bf3ae
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: e606491a632c3f229f9c24524e1a1515994c22b8
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: 51bea704135ac8d40395b949261f9d1d6f8b8295
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-bundler:
        rationale: Library and utilities to manage a Ruby application's gem dependencies
        ref: 217bb546eda98012a05e41ae35bb0f4cc9940feb
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: ba2317b2743b2d48ecae21aad26c8dfe2620d3c4
        buildorder: 103
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: 9638a7419b8248b7ebf63a1127b4692e9b8b4b94
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: d32600c6a97090382f788904208897c8a23f263d
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
